(Unsaved File)

- File
  - New
  - Open...
  - Save
  - Save As...
  - Delete...
- Edit
  - Undo
  - Redo
  - Cut
  - Copy
  - Paste
  - Delete
  - Select All
- Align
  - Left Sides
  - Right Sides
  - Tops
  - Bottoms
  - Center X
  - Center Y
- Space
  - In Row...
  - In Column...
- Options
  - Grid
  - Snapping

This sample describes templates and relationships typically used in Business Process Model and Notation (BPMN), to be used as a starting point for developing BPMN or flow-like web applications.

In addition to this HTML file, this sample uses the files:

- BPMN.css for styling
- BPMNScript.ts for the Diagram logic
- BPMNClasses.ts - Custom PoolLink and BPMNLinkingTool classes
- DrawCommandHandler.ts - Custom CommandHandler class

Additional sample data files:

Basic Order Process
OMG BPMN by Example Figure 5.1
OMG BPMN by Example Figure 5.2
OMG BPMN by Example Figure 5.3
Open File
Choose file to open...
Delete File
Choose file to remove...